=== tests/scons/SConstruct ===
env = Environment()
env.Tool('emscripten')
env.Append(CXXFLAGS='-std=c++11')
env.Program('scons_integration', ['integration.cpp', 'other.c'])
