=== debian/changelog ===
emscripten (1.22.1-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:53:58 +0000

emscripten (1.22.1-1) unstable; urgency=medium

  * New upstream release (Closes: #748923)
  * Upstream uses now tag. Use them instead of a repack script
  * Update the clang version dependency from clang-X.Y to clang now they
    are co instalable (Closes: #748840)
  * Disable fastcomp. We don't want to manage a fork of llvm in emscripten
    and not sure we want to add this patch in llvm itself (yet).
  * Add missing sources (Closes: #753956)
  * Use node-uglify package (Closes: #753883)
  * Fix vcs-field-not-canonical

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Jul 2014 13:06:38 +0200
